%define upstream_name    Lingua-ZH-Romanize-Pinyin
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Romanization of Cantonese language
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Pinyin is a phonemic notation for Chinese characters.

$conv = Lingua::ZH::Romanize::Pinyin->new();
    This constructer methods returns a new object with its dictionary
    cached.

$roman = $conv->char( $hanji );
    This method returns romanized letters of a Hanji character. It returns
    undef when $hanji is not a valid Hanji character. The argument's
    encoding must be UTF-8. Both of Simplified Chinese and Traditional
    Chinese are allowed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Oct 03 2022 tv <tv> 0.230.0-1.mga9
+ Revision: 1894259
- imported package perl-Lingua-ZH-Romanize-Pinyin

